Subject: git log fails to show all changes for a file

From: Olaf Hering <[email-masked]>
Date: Tue, 14 Jul 2015 09:30:35 +0200

I wonder why this command fails to show all commits that modify a given
function: 

  linux.git $ git log -p -M --stat -- drivers/hv/channel_mgmt.c

With commit 1f656ff3fdddc2f59649cc84b633b799908f1f7b init_vp_index() has
"const uuid_le *type_guid" already. And somewhere between commit
d3ba720dd58cdf6630fee4b89482c465d5ad0d0f and the one above the "const"
was added. But git log does not show this commit.

Why is that so, and whats the command to really show all and every change?

Olaf